<?php

  function e_set_artiste_downloads($env)
  { $env->out["edit_ok"] = false;
    if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
    { if
      (    $env->pun_user["is_super_admin"]
        || $env->pun_user["id"] === $env->out["artiste"]["pun_user"]
        || $env->data->is_artiste_admin($_GET[$env->param("artiste")], $env->pun_user["id"])
      )
      { $env->out["edit_ok"] = true;
        $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "downloads";
        $function = "a_".$env->a;
        if(function_exists($function)) $function($env);
      }
      else $env->erreur = "Vous n'&ecirc;tes pas identifi&eacute; comme administrateur de cet artiste.";
    }
    else $env->erreur = "Impossible de lire les infos de l'artiste";
  }

  # ------------------------------------------------------------------------------
  #                                                                        actions
  #

  function a_downloads($env)
  { if(($env->out["downloads"] = $env->data->artiste_downloads($_GET[$env->param("artiste")])) !== false)
    {
    }
    else $env->erreur = "Impossible de lire les downloads de l'artiste";
  }

  function a_add_download($env)
  { if($_POST)
    { if
      ( $env->data->add_download
        ( $_GET[$env->param("artiste")],
          $_POST["nom"],
          $_POST["album"] ? $_POST["album"] : null,
          $_POST["style"],
          $_POST["licence"],
          $_POST["annee_creation"]."-".$_POST["mois_creation"]."-".$_POST["jour_creation"],
          $_POST["format"],
          $_POST["url"]
        )
      )
      { _redirect
        ( $env,
          $env->url(array("e" => "set_artiste_downloads", "artiste" => $_GET[$env->param("artiste")])),
          "Le download a &eacute;t&eacute; ajout&eacute;"
        );
      }
      else $env->erreur = "Impossible d'ajouter le morceau.";
    }
    else
    { if(($env->out["licences"] = $env->data->licences()) !== false)
      { if(($env->out["formats"] = $env->data->formats()) !== false)
        { if(($env->out["albums"] = $env->data->artiste_albums($_GET[$env->param("artiste")])) !== false)
          {
          }
          else $env->erreur = "Impossible de lire la liste des albums.";
        }
        else $env->erreur = "Impossible de lire la liste des formats.";
      }
      else $env->erreur = "Impossible de lire la liste des licences.";
    }
  }

  function a_set_downloads($env)
  { $ordre = array();
    $actif = array();
    foreach($_POST as $key => $value)
    { if(strpos($key, "ordre_") === 0 && strlen($value) > 0)
      { $ordre[substr($key, 6)] = $value;
      }
      if(strpos($key, "actif_") === 0 && strlen($value) > 0)
      { $actif[substr($key, 6)] = $value;
      }
    }
    if($env->data->set_downloads($ordre, $actif) !== false)
    { _redirect
      ( $env,
        $env->url(array("e" => "set_artiste_downloads", "artiste" => $_GET[$env->param("artiste")])),
        "Les downloads ont &eacute;t&eacute; mis &agrave; jour"
      );
    }
    else $env->erreur = "Impossible de mettre &agrave; jour les downloads";
  }

  function a_download($env)
  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
      { if(($env->out["licences"] = $env->data->licences()) !== false)
        { if(($env->out["formats"] = $env->data->formats()) !== false)
          { if(($env->out["albums"] = $env->data->artiste_albums($_GET[$env->param("artiste")])) !== false)
            {
            }
            else $env->erreur = "Impossible de lire la liste des albums.";
          }
          else $env->erreur = "Impossible de lire la liste des formats.";
        }
        else $env->erreur = "Impossible de lire la liste des licences.";
      }
      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
    }
    else $env->erreur = "Impossible de lire les infos sur ce download.";
  }

  function a_set_download($env)
  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
      { if
        ( $env->data->set_download
          ( $_GET[$env->param("download")],
            $_POST["nom"],
            $_POST["album"] ? $_POST["album"] : null,
            $_POST["style"],
            $_POST["licence"],
            $_POST["annee_date_creation"]."-".$_POST["mois_date_creation"]."-".$_POST["jour_date_creation"]
          )
        )
        { _redirect
          ( $env,
            $env->url
            ( array
              ( "e" => "set_artiste_downloads",
                "artiste" => $_GET[$env->param("artiste")],
                "action" => "download",
                "download" => $_GET[$env->param("download")]
              )
            ),
            "Le download a &eacute;t&eacute; modifi&eacute;"
          );
        }
        else $env->erreur = "Une erreur s'est produite. Impossible de modifier le morceau.";
      }
      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
    }
    else $env->erreur = "Impossible de lire les infos sur ce download.";
  }

  function a_add_download_url($env)
  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
      { if
        ( $env->data->add_download_url
          ( $_GET[$env->param("download")],
            $_POST["url"],
            $_POST["format"]
          )
        )
        { _redirect
          ( $env,
            $env->url
            ( array
              ( "e" => "set_artiste_downloads",
                "artiste" => $_GET[$env->param("artiste")],
                "action" => "download",
                "download" => $_GET[$env->param("download")]
              )
            ),
            "Le fichier a &eacute;t&eacute; ajout&eacute;"
          );
        }
        else $env->erreur = "Une erreur s'est produite. Impossible d'ajouter l'url.";
      }
      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
    }
    else $env->erreur = "Impossible de lire les infos sur ce download.";
  }

  function a_set_download_url($env)
  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
      { if
        ( $env->data->set_download_url
          ( $_POST["id_url"],
            $_POST["url"],
            $_POST["format"]
          )
        )
        { _redirect
          ( $env,
            $env->url
            ( array
              ( "e" => "set_artiste_downloads",
                "artiste" => $_GET[$env->param("artiste")],
                "action" => "download",
                "download" => $_GET[$env->param("download")]
              )
            ),
            "Le fichier a &eacute;t&eacute; modifi&eacute;"
          );
        }
        else $env->erreur = "Une erreur s'est produite. Impossible de modifier le fichier.";
      }
      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
    }
    else $env->erreur = "Impossible de lire les infos sur ce download.";
  }

  function a_del_download_url($env)
  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
      { if(($res = $env->data->del_download_url($_GET[$env->param("download")], $_GET[$env->param("url")])) !== false)
        { $url_back = $env->url
          ( array
            ( "e" => "set_artiste_downloads",
              "artiste" => $_GET[$env->param("artiste")],
              "action" => "download",
              "download" => $_GET[$env->param("download")]
            )
          );
          if($res == 2) $url_back = $env->url
          ( array
            ( "e" => "set_artiste_downloads",
              "artiste" => $_GET[$env->param("artiste")],
            )
          );
          _redirect
          ( $env,
            $url_back,
            "Le fichier a &eacute;t&eacute; supprim&eacute;"
          );
        }
        else $env->erreur = "Une erreur s'est produite. Impossible de supprimer le fichier.";
      }
      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
    }
    else $env->erreur = "Impossible de lire les infos sur ce download.";
  }

  function a_del_download($env)
  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
      { if(($env->data->del_download($_GET[$env->param("download")])) !== false)
        { _redirect
          ( $env,
            $env->url(array("e" => "set_artiste_downloads", "artiste" => $_GET[$env->param("artiste")])),
            "Le download a &eacute;t&eacute; supprim&eacute;"
          );
        }
        else $env->erreur = "Une erreur s'est produite. Impossible de supprimer le download.";
      }
      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
    }
    else $env->erreur = "Impossible de lire les infos sur ce download.";
  }

?>